Data Fields

# _BlobInfo Struct Reference

## Data Fields
char | filename [WizardPathExtent]
size_t | length
size_t | extent
size_t | quantum
WizardBooleanType | mapped
WizardBooleanType | eof
WizardOffsetType | offset
WizardSizeType | size
WizardBooleanType | exempt
WizardBooleanType | status
WizardBooleanType | temporary
StreamType | type
FILE * | file
struct stat | properties
unsigned char * | data
WizardBooleanType | debug
SemaphoreInfo * | semaphore
ssize_t | reference_count
size_t | signature

## Field Documentation

unsigned char* _BlobInfo::data

Referenced by AttachBlob(), DestroyBlob(), DetachBlob(), ReadBlob(), ReadBlobStream(), SetBlobExtent(), SyncBlob(), WriteBlob(), and WriteBlobStream().

WizardBooleanType _BlobInfo::debug

Referenced by AttachBlob(), CloseBlob(), DestroyBlob(), DetachBlob(), EOFBlob(), GetBlobFilename(), GetBlobInfo(), GetBlobProperties(), and GetBlobSize().

WizardBooleanType _BlobInfo::eof

Referenced by CloseBlob(), DetachBlob(), EOFBlob(), ReadBlob(), and ReadBlobStream().

WizardBooleanType _BlobInfo::exempt

Referenced by CloseBlob(), DetachBlob(), and OpenBlob().

size_t _BlobInfo::extent

Referenced by AttachBlob(), SetBlobExtent(), WriteBlob(), and WriteBlobStream().

FILE* _BlobInfo::file

Referenced by AttachBlob(), CloseBlob(), DetachBlob(), EOFBlob(), GetBlobSize(), OpenBlob(), ReadBlob(), SetBlobExtent(), SyncBlob(), TellBlob(), and WriteBlob().

char _BlobInfo::filename[WizardPathExtent]

Referenced by CloseBlob(), DestroyBlob(), GetBlobFilename(), GetBlobProperties(), GetBlobSize(), OpenBlob(), SyncBlob(), and TellBlob().

size_t _BlobInfo::length

Referenced by AttachBlob(), DestroyBlob(), DetachBlob(), GetBlobSize(), ReadBlob(), ReadBlobStream(), SetBlobExtent(), SyncBlob(), WriteBlob(), and WriteBlobStream().

WizardBooleanType _BlobInfo::mapped

Referenced by AttachBlob(), DestroyBlob(), DetachBlob(), OpenBlob(), SetBlobExtent(), SyncBlob(), and WriteBlob().

WizardOffsetType _BlobInfo::offset

Referenced by AttachBlob(), DetachBlob(), ReadBlob(), ReadBlobStream(), TellBlob(), WriteBlob(), and WriteBlobStream().

struct stat _BlobInfo::properties

Referenced by GetBlobProperties(), GetBlobSize(), and OpenBlob().

size_t _BlobInfo::quantum

Referenced by AttachBlob(), GetBlobInfo(), WriteBlob(), and WriteBlobStream().

ssize_t _BlobInfo::reference_count

Referenced by DestroyBlob(), and GetBlobInfo().

SemaphoreInfo* _BlobInfo::semaphore

Referenced by DestroyBlob(), and GetBlobInfo().

size_t _BlobInfo::signature

Referenced by CloseBlob(), DestroyBlob(), EOFBlob(), GetBlobInfo(), ReadBlob(), ReadBlobByte(), ReadBlobChunk(), SetBlobExtent(), SyncBlob(), TellBlob(), WriteBlob(), WriteBlobByte(), WriteBlobChunk(), and WriteBlobString().

WizardSizeType _BlobInfo::size

Referenced by CloseBlob(), GetBlobSize(), and OpenBlob().

WizardBooleanType _BlobInfo::status

Referenced by CloseBlob(), and OpenBlob().

WizardBooleanType _BlobInfo::temporary

StreamType _BlobInfo::type

Referenced by AttachBlob(), CloseBlob(), DetachBlob(), EOFBlob(), GetBlobInfo(), GetBlobSize(), OpenBlob(), ReadBlob(), ReadBlobChunk(), ReadBlobStream(), SetBlobExtent(), SyncBlob(), TellBlob(), WriteBlob(), WriteBlobChunk(), and WriteBlobStream().

The documentation for this struct was generated from the following file:

- blob.c